<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Point2D.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_point2_d_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Point2D.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_point2_d_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef POINT2D_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define POINT2D_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;{</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_point2_d.html">   21</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;            <a class="code" href="classframework_1_1core_1_1_point2_d.html#a0f47da9853e43444af492d9cf946f61f">Point2D</a>(<span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_point2_d.html#a2001a99f4cec3a8688169925e99b4913">x</a>=0,<span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_point2_d.html#a7612176298951461df14dc9ae00cb49f">y</a>=0);</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;            <a class="code" href="classframework_1_1core_1_1_point2_d.html#abcb117e4375a3eef413cbc76d4a6a169">~Point2D</a>();</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_point2_d.html#aaf8ae73f6077a9507ab6c8d9ae8cc2fd">Rotate</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_point2_d.html#a1a78720641bad669c6625c606a445779">RotateDeg</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_point2_d.html#a2848a086523fdd5c6f24f5880869b203">Norm</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_point2_d.html#a9c3b954b47d3ecaa6b0e87d1b5ec2680">Normalize</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_point2_d.html#a2001a99f4cec3a8688169925e99b4913">   69</a></span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_point2_d.html#a2001a99f4cec3a8688169925e99b4913">x</a>;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_point2_d.html#a7612176298951461df14dc9ae00cb49f">   74</a></span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_point2_d.html#a7612176298951461df14dc9ae00cb49f">y</a>;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    };</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <a class="code" href="namespaceframework_1_1core.html#aedd06c17ee66a43da9ef3ebd0c565250">operator + </a>(<a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <span class="keyword">const</span> &amp;pointA,<a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <span class="keyword">const</span> &amp;pointB);</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <a class="code" href="namespaceframework_1_1core.html#a503269bce7b948ca68588cc7c7d83b59">operator - </a>(<a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <span class="keyword">const</span> &amp;pointA,<a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <span class="keyword">const</span> &amp;pointB);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <a class="code" href="namespaceframework_1_1core.html#a3af6cffbce87bb3918c5174f93d86e1e">operator / </a>(<a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <span class="keyword">const</span> &amp;point, <span class="keywordtype">float</span> <span class="keyword">const</span> &amp;coeff);</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <a class="code" href="namespaceframework_1_1core.html#a9196f753abeb4364834319c665bfa792">operator * </a>(<a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <span class="keyword">const</span> &amp;point, <span class="keywordtype">float</span> <span class="keyword">const</span> &amp;coeff);</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <a class="code" href="namespaceframework_1_1core.html#a9196f753abeb4364834319c665bfa792">operator * </a>(<span class="keywordtype">float</span> <span class="keyword">const</span> &amp;coeff, <a class="code" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> <span class="keyword">const</span> &amp;point);</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="preprocessor">#endif // POINT2D_H</span></div>
<div class="ttc" id="namespaceframework_1_1core_html_a3af6cffbce87bb3918c5174f93d86e1e"><div class="ttname"><a href="namespaceframework_1_1core.html#a3af6cffbce87bb3918c5174f93d86e1e">framework::core::operator/</a></div><div class="ttdeci">Point2D operator/(Point2D const &amp;point, float const &amp;coeff)</div><div class="ttdoc">Divid. </div></div>
<div class="ttc" id="namespaceframework_1_1core_html_aedd06c17ee66a43da9ef3ebd0c565250"><div class="ttname"><a href="namespaceframework_1_1core.html#aedd06c17ee66a43da9ef3ebd0c565250">framework::core::operator+</a></div><div class="ttdeci">Point2D operator+(Point2D const &amp;pointA, Point2D const &amp;pointB)</div><div class="ttdoc">Add. </div></div>
<div class="ttc" id="namespaceframework_1_1core_html_a9196f753abeb4364834319c665bfa792"><div class="ttname"><a href="namespaceframework_1_1core.html#a9196f753abeb4364834319c665bfa792">framework::core::operator*</a></div><div class="ttdeci">Point2D operator*(Point2D const &amp;point, float const &amp;coeff)</div><div class="ttdoc">Multiply. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_point2_d_html_a1a78720641bad669c6625c606a445779"><div class="ttname"><a href="classframework_1_1core_1_1_point2_d.html#a1a78720641bad669c6625c606a445779">framework::core::Point2D::RotateDeg</a></div><div class="ttdeci">void RotateDeg(float value)</div><div class="ttdoc">Rotation. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_point2_d_html"><div class="ttname"><a href="classframework_1_1core_1_1_point2_d.html">framework::core::Point2D</a></div><div class="ttdoc">Class defining a 2D point. </div><div class="ttdef"><b>Definition:</b> Point2D.h:21</div></div>
<div class="ttc" id="classframework_1_1core_1_1_point2_d_html_a2001a99f4cec3a8688169925e99b4913"><div class="ttname"><a href="classframework_1_1core_1_1_point2_d.html#a2001a99f4cec3a8688169925e99b4913">framework::core::Point2D::x</a></div><div class="ttdeci">float x</div><div class="ttdoc">x </div><div class="ttdef"><b>Definition:</b> Point2D.h:69</div></div>
<div class="ttc" id="classframework_1_1core_1_1_point2_d_html_a9c3b954b47d3ecaa6b0e87d1b5ec2680"><div class="ttname"><a href="classframework_1_1core_1_1_point2_d.html#a9c3b954b47d3ecaa6b0e87d1b5ec2680">framework::core::Point2D::Normalize</a></div><div class="ttdeci">void Normalize(void)</div><div class="ttdoc">Normalize. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_point2_d_html_aaf8ae73f6077a9507ab6c8d9ae8cc2fd"><div class="ttname"><a href="classframework_1_1core_1_1_point2_d.html#aaf8ae73f6077a9507ab6c8d9ae8cc2fd">framework::core::Point2D::Rotate</a></div><div class="ttdeci">void Rotate(float value)</div><div class="ttdoc">Rotation. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_point2_d_html_a7612176298951461df14dc9ae00cb49f"><div class="ttname"><a href="classframework_1_1core_1_1_point2_d.html#a7612176298951461df14dc9ae00cb49f">framework::core::Point2D::y</a></div><div class="ttdeci">float y</div><div class="ttdoc">y </div><div class="ttdef"><b>Definition:</b> Point2D.h:74</div></div>
<div class="ttc" id="classframework_1_1core_1_1_point2_d_html_a2848a086523fdd5c6f24f5880869b203"><div class="ttname"><a href="classframework_1_1core_1_1_point2_d.html#a2848a086523fdd5c6f24f5880869b203">framework::core::Point2D::Norm</a></div><div class="ttdeci">float Norm(void) const </div><div class="ttdoc">Norm. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_point2_d_html_a0f47da9853e43444af492d9cf946f61f"><div class="ttname"><a href="classframework_1_1core_1_1_point2_d.html#a0f47da9853e43444af492d9cf946f61f">framework::core::Point2D::Point2D</a></div><div class="ttdeci">Point2D(float x=0, float y=0)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="namespaceframework_1_1core_html_a503269bce7b948ca68588cc7c7d83b59"><div class="ttname"><a href="namespaceframework_1_1core.html#a503269bce7b948ca68588cc7c7d83b59">framework::core::operator-</a></div><div class="ttdeci">Point2D operator-(Point2D const &amp;pointA, Point2D const &amp;pointB)</div><div class="ttdoc">Substract. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_point2_d_html_abcb117e4375a3eef413cbc76d4a6a169"><div class="ttname"><a href="classframework_1_1core_1_1_point2_d.html#abcb117e4375a3eef413cbc76d4a6a169">framework::core::Point2D::~Point2D</a></div><div class="ttdeci">~Point2D()</div><div class="ttdoc">Destructor. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_point2_d_8h.html">Point2D.h</a></li>
    <li class="footer">Generated on Thu Feb 18 2016 17:14:15 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
